m4d_components 0.1.9

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 40

Material4Dart - Basic Components

Basic components like MaterialButton, MaterialCheckbox and so on

Examples

GitHub

Usage

There is more documentation on the way but here is an example how main.dart looks for the Accordion-Example

import 'package:m4d_core/m4d_ioc.dart' as ioc;
import "package:m4d_components/m4d_components.dart";

main() async {

    ioc.IOCContainer.bindModules([ CoreComponentsModule() ]);
    await componentHandler().run();
}

Change Log for m4d_components

Material Design 4 Dart - Basic components

Unreleased

Feature

Docs

v0.1 - 2018-10-19

Docs

This CHANGELOG.md was generated with Changelog for Dart

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  m4d_components: ^0.1.9

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:m4d_components/m4d_components.dart';
  
Version Uploaded Documentation Archive
0.1.31 Jan 17, 2019 Go to the documentation of m4d_components 0.1.31 Download m4d_components 0.1.31 archive
0.1.29 Dec 19, 2018 Go to the documentation of m4d_components 0.1.29 Download m4d_components 0.1.29 archive
0.1.26 Dec 19, 2018 Go to the documentation of m4d_components 0.1.26 Download m4d_components 0.1.26 archive
0.1.24 Dec 19, 2018 Go to the documentation of m4d_components 0.1.24 Download m4d_components 0.1.24 archive
0.1.9 Oct 23, 2018 Go to the documentation of m4d_components 0.1.9 Download m4d_components 0.1.9 archive
0.1.7 Oct 23, 2018 Go to the documentation of m4d_components 0.1.7 Download m4d_components 0.1.7 archive
0.1.3 Oct 23, 2018 Go to the documentation of m4d_components 0.1.3 Download m4d_components 0.1.3 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
59
Health:
Code health derived from static analysis. [more]
0
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
50
Overall:
Weighted score of the above. [more]
40
Learn more about scoring.

We analyzed this package on Jan 15, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.10

Platforms

Detected platforms:

Error(s) prevent platform classification:

Error(s) in lib/m4d_formatter.dart: Classes can only extend other classes.

Health issues and suggestions

Fix lib/components/MaterialDivDataTable.dart. (-68.36 points)

Analysis of lib/components/MaterialDivDataTable.dart failed with 4 errors:

line 42 col 75: Undefined class 'ioc.IOCContainer'.

line 202 col 78: Undefined class 'ioc.IOCContainer'.

line 385 col 47: Undefined class 'ioc.IOCContainer'.

line 393 col 47: Undefined class 'ioc.IOCContainer'.

Fix lib/components/MaterialFormatter.dart. (-68.36 points)

Analysis of lib/components/MaterialFormatter.dart failed with 4 errors:

line 47 col 71: Undefined class 'ioc.IOCContainer'.

line 63 col 85: The function 'IOCContainer' isn't defined.

line 104 col 64: Undefined class 'ioc.IOCContainer'.

line 131 col 50: Undefined class 'ioc.IOCContainer'.

Fix lib/components/MaterialRadio.dart. (-68.36 points)

Analysis of lib/components/MaterialRadio.dart failed with 4 errors:

line 39 col 67: Undefined class 'ioc.IOCContainer'.

line 311 col 72: Undefined class 'ioc.IOCContainer'.

line 389 col 79: Undefined class 'ioc.IOCContainer'.

line 397 col 80: Undefined class 'ioc.IOCContainer'.

Fix additional 28 files with analysis or formatting issues. (-904.87 points)

Additional issues in the following files:

  • lib/m4d_components.dart (3 errors, 2 hints)
  • lib/m4d_formatter.dart (3 errors, 1 hint)
  • lib/components/MaterialBadge.dart (2 errors, 1 hint)
  • lib/components/MaterialProgressVertical.dart (2 errors, 1 hint)
  • lib/components/MaterialRipple.dart (2 errors, 1 hint)
  • lib/components/MaterialTextfield.dart (2 errors, 1 hint)
  • lib/components/MaterialAccordion.dart (2 errors)
  • lib/components/MaterialButton.dart (2 errors)
  • lib/components/MaterialCheckbox.dart (2 errors)
  • lib/components/MaterialDataTable.dart (2 errors)
  • lib/components/MaterialIconToggle.dart (2 errors)
  • lib/components/MaterialLabelfield.dart (2 errors)
  • lib/components/MaterialLayout.dart (2 errors)
  • lib/components/MaterialMenu.dart (2 errors)
  • lib/components/MaterialProgress.dart (2 errors)
  • lib/components/MaterialSlider.dart (2 errors)
  • lib/components/MaterialSpinner.dart (2 errors)
  • lib/components/MaterialSwitch.dart (2 errors)
  • lib/components/MaterialTabs.dart (2 errors)
  • lib/components/MaterialTooltip.dart (2 errors)
  • lib/components/utils/FallbackFormatter.dart (Run dartfmt to format lib/components/utils/FallbackFormatter.dart.)
  • lib/formatter/ChooseFormatter.dart (Run dartfmt to format lib/formatter/ChooseFormatter.dart.)
  • lib/formatter/DecoratorFormatter.dart (Run dartfmt to format lib/formatter/DecoratorFormatter.dart.)
  • lib/formatter/LowerCaseFormatter.dart (Run dartfmt to format lib/formatter/LowerCaseFormatter.dart.)
  • lib/formatter/NumberFormatter.dart (Run dartfmt to format lib/formatter/NumberFormatter.dart.)
  • lib/formatter/UpperCaseFormatter.dart (Run dartfmt to format lib/formatter/UpperCaseFormatter.dart.)
  • lib/formatter/utils/FormatterPipeline.dart (Run dartfmt to format lib/formatter/utils/FormatterPipeline.dart.)
  • lib/services.dart (Run dartfmt to format lib/services.dart.)

Maintenance issues and suggestions

Fix platform conflicts. (-20 points)

Error(s) prevent platform classification:

Error(s) in lib/m4d_formatter.dart: Classes can only extend other classes.

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use m4d_components.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
console_log_handler ^1.0.0 1.1.3
intl ^0.15.0 0.15.7
logging >=0.11.3 <1.0.0 0.11.3+2
m4d_core >=0.1.0 <1.0.0 0.2.0
path ^1.4.0 1.6.2
platform_detect ^1.3.0 1.3.5
validate ^1.0.0 1.7.0
Transitive dependencies
analyzer 0.32.6 0.34.1
ansicolor 1.0.2
args 1.5.1
async 2.0.8
build_cli_annotations 1.0.1
charcode 1.1.2
collection 1.14.11
convert 2.1.1
crypto 2.0.6
csslib 0.14.6
dart_style 1.1.3 1.2.2
front_end 0.1.4+2 0.1.8
glob 1.1.7
html 0.13.3+3
intl_translation 0.17.1 0.17.2
kernel 0.3.4+2 0.3.8
l10n 2.0.15
matcher 0.12.4
meta 1.1.7
optional 3.0.0+2
package_config 1.0.5
petitparser 1.7.7 2.1.0
plugin 0.2.0+3
pub_semver 1.4.2
source_span 1.5.1
stack_trace 1.9.3
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
utf 0.9.0+5
watcher 0.9.7+10
where 4.4.0 6.0.0
yaml 2.1.15
Dev dependencies
build_runner any
build_test any
build_web_compilers any
test any